Name: libcddb
Version: 1.3.0
Release: alt2.1

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: Libcddb is a C library to access data on a CDDB server
License: GPL
Group: System/Libraries
Url: http://libcddb.sourceforge.net

Source: http://prdownloads.sourceforge.net/%name/%name-%version.tar.bz2

BuildRequires: cvs gcc-c++ libcdio-devel libstdc++-devel pkg-config

%description
Libcddb is a C library to access data on a CDDB server (freedb.org).
It allows to:
1. search the database for possible CD matches
2. retrieve detailed information about a specific CD
3. submit new CD entries to the database

%package devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package examples
Summary: Simple application that use %name
Group: Development/C
Requires: %name = %version-%release

%description examples
This package contains the cddb_query is a simple app that use %name.

%prep
%setup -q
autoreconf -fisv

%build
%configure \
    --disable-static

%make_build

%install
%makeinstall

%make -C examples clean
rm -rf examples/{.deps,Makefile}

%files
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc AUTHORS ChangeLog NEWS THANKS README

%files examples
%_bindir/*
%doc examples

%changelog
* Wed Aug 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.3.0-alt2.1
- rebuild with new libcdio

* Fri Sep 26 2008 Pavlov Konstantin <thresh@altlinux.ru> 1.3.0-alt2
- Cleanup BuildRequires.

* Thu Oct 19 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.3.0-alt1
- 1.3.0 release.

* Wed May 31 2006 ALT QA Team Robot <qa-robot@altlinux.org> 1.2.1-alt1.1
- Rebuild with libcdio.so.7 .

* Wed Nov 30 2005 Pavlov Konstantin <thresh@altlinux.ru> 1.2.1-alt1
- 1.2.1 release.

* Thu Feb 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.4-alt2
- do not build devel-static subpackage by default.
- subpackage with examples.
- restored changelog from orphaned package.

* Thu Jun 5 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.4-alt1
- 0.9.4

* Mon May 19 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.3-alt1
- 0.9.3

* Fri Apr 25 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Mon Apr 21 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.9.1-alt1
- First version of RPM package.

